Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452444 - Alphabetic list of groups on "Issues::Choose Group" page does not function as expected for customers
Summary: Alphabetic list of groups on "Issues::Choose Group" page does not function as...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Issue-Tracker
Classification: Retired
Component: User Interface
Version: MR16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lisa Lu
QA Contact: David Spalding
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 00:47 UTC by Gary Case
Modified: 2015-01-20 00:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 22:17:55 UTC


Attachments (Terms of Use)

Description Gary Case 2008-06-23 00:47:00 UTC
Description of problem:
The alphabetic list of groups on the Issues::Choose Group page does not function
as expected for customers. If, for example, you have membership in two groups
whose names begin with "G" and "I", those groups automatically appear when
"Issues" is clicked, assuming the Show Group privilege isn't disabled for either
group in Group Preferences. This is expected behavior.

Clicking "J" should not display any groups, as the account isn't a member of a
group whose name starts with "J", but clicking "J" displays the "G" and "I"
groups. Clicking on "I" should only display the "I" group, but, again, it
displays both the "G" and "I" groups. I'm calling this a problem based on the
behavior of IT for Red Hat employees. As an employee, clicking a letter on that
alphabetic list only displays groups that begin with that letter.


Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Log in as a customer (non RH-employee privilege) with access to two or more
accounts.
2. Click the Issues link
3. Try to use the alphabetic links on the Issues::Choose Group page. They don't
work correctly.
  
Actual results:
All groups shown

Expected results:
Only groups whose names start with the chosen letter shown (or display an error
like "No groups available that start with "$LETTER"" to let customers know why
no groups can be seen).

Additional info:

Comment 1 David Spalding 2009-10-06 21:45:17 UTC
Multiple solutions available for this request. 

There should be no groups displayed. (Any starting with "Z.")
--or--
NO list of letters displayed for any but Red Hat associates
--or--
Error message displayed with user clicks a letter for which s/he has no groups.
--or--
Mask the HREF (link) or letter for which s/he has no groups.

Will let developer determine the most efficacious.

Comment 2 Gary Case 2009-10-14 19:10:54 UTC
I talked with Lisa today about the second option, removing the list of letters for non-Red Hat users. That sounds reasonable to me. How many accounts could a non-Red Hatter have, anyway?

-Gary

Comment 4 Lisa Lu 2009-10-15 15:42:47 UTC
dave,

I pushed a fix on http://cspserver2.app.dev.redhat.com

Here are a couple of customer accounts who belong to more than one group:
  lee.ha/redhat
  Glen Johnson/redhat

Here are a couple of RH users:
  gcase/redhat
  cww/redhat


please let me know if you have any questions.

Lisa

Comment 5 David Spalding 2009-10-15 23:28:57 UTC
Confirmed fix in Dev that letters only appear for Red Hat users. I like this. 
Simple. :)

Comment 6 David Spalding 2009-11-12 21:51:46 UTC
Verified in WEBQA.


Note You need to log in before you can comment on or make changes to this bug.